Bug 1416588 - systemctl bash completion prints unrelated message
Summary: systemctl bash completion prints unrelated message
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 00:06 UTC by jniederm
Modified: 2017-12-12 10:45 UTC (History)
12 users (show)

Fixed In Version: systemd-232-11.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:45:24 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1409649 0 unspecified CLOSED initscripts contain old links (fedora-autorelabel.service, fedora-autorelabel-mark.service) 2021-02-22 00:41:40 UTC

Internal Links: 1409649

Description jniederm 2017-01-26 00:06:57 UTC
Description of problem:
When [tab] is pressed after 'systemctl start ' then 'Unit apparmor.service could not be found.\n' is printed to the console. Next [tab] prints it again. And finally third press of [tab] prints expected "Display all 226 possibilities? (y or n) "

Version-Release number of selected component (if applicable):
Name        : systemd
Version     : 231
Release     : 12.fc25
Architecture: x86_64
Install Date: Wed 25 Jan 2017 11:24:37 PM CET
Group       : Unspecified
Size        : 8879340
License     : LGPLv2+ and MIT and GPLv2+
Signature   : RSA/SHA256, Mon 16 Jan 2017 02:23:56 PM CET, Key ID 4089d8f2fdb19c98
Source RPM  : systemd-231-12.fc25.src.rpm


How reproducible:
100%

Steps to Reproduce:
1. start root bash shell
2. type 'systemctl start '
3. press [tab] key repeatedly 

Actual results:


Expected results:
Extra text 'Unit apparmor.service could not be found.\n' printed twice.

Additional info:
no extra text

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-01-26 01:19:05 UTC
Fixed upstream: https://github.com/systemd/systemd/pull/5069.

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-01-30 14:35:56 UTC
Fixed in rawhide with systemd-232-11.fc26, reassigning to 25 which also needs the fix.

Comment 3 Fedora End Of Life 2017-11-16 19:02:04 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:45:24 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.